Bug 1664436 - disable host-tools plugins where subman supports combined profile
Summary: disable host-tools plugins where subman supports combined profile
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: katello-agent
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Jonathon Turel
QA Contact: Jan Hutař
URL:
Whiteboard: SanityOnly
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-08 19:28 UTC by Jonathon Turel
Modified: 2019-10-07 17:17 UTC (History)
1 user (show)

Fixed In Version: katello-host-tools-3.4.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:54 UTC
Foreman Issue Tracker 25725 None None None 2019-01-08 19:28:02 UTC

Description Jonathon Turel 2019-01-08 19:28:02 UTC
newer versions of subscription-manager support uploading a combined package and enabled repos profile to the server. when present, the host-tools plugins should be disabled (except tracer) otherwise we will be uploading twice the data and performing twice the errata applicability

rather than handling this case in the RPM spec by requiring specific subman versions we can change the code to look for the particular module that had the combined profile upload

Comment 1 Jonathon Turel 2019-01-08 19:28:03 UTC
Created from redmine issue https://projects.theforeman.org/issues/25725

Comment 2 Jonathon Turel 2019-01-08 19:28:05 UTC
Upstream bug assigned to jturel@redhat.com

Comment 4 Bryan Kearney 2019-01-08 21:15:42 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25725 has been resolved.

Comment 8 errata-xmlrpc 2019-05-14 12:39:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.